MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002447VCMIRandom Map Generatorpublic2016-07-10 17:252016-07-12 09:44
Reportermisiokles 
Assigned ToWarmonger 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version0.98g 
Target VersionFixed in Version0.99 
Summary0002447: Random map generator sometimes generate unreachable sawmills.
DescriptionSometimes random map generator generate random maps with starting sawmills unreachable by player. Ore pits are generate fine.
Additional InformationUsed mods: H4 artifacts-regular, HotA, Asylum Town. Savegame is for 0.98h PR200 version but this problem occured in previous versions.
TagsNo tags attached.
Attached Fileszip file icon unreach.zip [^] (826,014 bytes) 2016-07-10 17:25
png file icon reach.png [^] (1,250,540 bytes) 2016-07-11 18:59
jpg file icon Bug 2447.jpg [^] (642,732 bytes) 2016-07-12 05:32

- Relationships

-  Notes
(0006525)
Warmonger (administrator)
2016-07-11 07:20

Would be easier just to show a (large) screenshot and possibly template name.
(0006526)
misiokles (reporter)
2016-07-11 19:01

Template was Newcomers, but this happened several times earlier on standard vcmi templates.
(0006527)
Warmonger (administrator)
2016-07-12 05:32

I found another case where Ore Pit is unreachable.
(0006529)
Warmonger (administrator)
2016-07-12 09:44

A part of code was missing. Fixed in https://github.com/vcmi/vcmi/commit/aecf834cc18564b17d518b87870488d88d6adabd [^]

- Issue History
Date Modified Username Field Change
2016-07-10 17:25 misiokles New Issue
2016-07-10 17:25 misiokles File Added: unreach.zip
2016-07-11 07:20 Warmonger Note Added: 0006525
2016-07-11 07:21 Warmonger Severity block => minor
2016-07-11 07:21 Warmonger Reproducibility sometimes => random
2016-07-11 18:59 misiokles File Added: reach.png
2016-07-11 19:01 misiokles Note Added: 0006526
2016-07-12 05:32 Warmonger File Added: Bug 2447.jpg
2016-07-12 05:32 Warmonger Note Added: 0006527
2016-07-12 05:33 Warmonger Assigned To => Warmonger
2016-07-12 05:33 Warmonger Status new => assigned
2016-07-12 05:33 Warmonger Status assigned => confirmed
2016-07-12 09:44 Warmonger Note Added: 0006529
2016-07-12 09:44 Warmonger Status confirmed => resolved
2016-07-12 09:44 Warmonger Fixed in Version => 0.99
2016-07-12 09:44 Warmonger Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean